Target Accounts
List Target Accounts
List or search target accounts
GET
/
target-accounts
curl "https://api.clustr-ai.com/api/public/target-accounts" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
requests.get(
"https://api.clustr-ai.com/api/public/target-accounts",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
await fetch("https://api.clustr-ai.com/api/public/target-accounts", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
{
"success": true,
"data": {
"target_accounts": [
{
"id": "a1b2c3d4-...",
"account_name": "Acme Corp",
"account_linkedin_url": "https://www.linkedin.com/company/acme-corp"
}
],
"count": 1
}
}
{
"success": false,
"error": {
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
}
{
"success": false,
"error": {
"message": "Target account not found",
"code": "NOT_FOUND"
}
}
Returns all target accounts, or search by ID, name, or LinkedIn URL.
Query Parameters
string
Return a single account by ID
string
Search by name (partial match)
string
Search by LinkedIn URL
curl "https://api.clustr-ai.com/api/public/target-accounts" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
requests.get(
"https://api.clustr-ai.com/api/public/target-accounts",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
await fetch("https://api.clustr-ai.com/api/public/target-accounts", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
{
"success": true,
"data": {
"target_accounts": [
{
"id": "a1b2c3d4-...",
"account_name": "Acme Corp",
"account_linkedin_url": "https://www.linkedin.com/company/acme-corp"
}
],
"count": 1
}
}
{
"success": false,
"error": {
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
}
{
"success": false,
"error": {
"message": "Target account not found",
"code": "NOT_FOUND"
}
}
⌘I
curl "https://api.clustr-ai.com/api/public/target-accounts" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
requests.get(
"https://api.clustr-ai.com/api/public/target-accounts",
headers={"Authorization": "Bearer YOUR_API_KEY"},
)
await fetch("https://api.clustr-ai.com/api/public/target-accounts", {
headers: { Authorization: "Bearer YOUR_API_KEY" },
});
{
"success": true,
"data": {
"target_accounts": [
{
"id": "a1b2c3d4-...",
"account_name": "Acme Corp",
"account_linkedin_url": "https://www.linkedin.com/company/acme-corp"
}
],
"count": 1
}
}
{
"success": false,
"error": {
"message": "Invalid or missing API key",
"code": "UNAUTHORIZED"
}
}
{
"success": false,
"error": {
"message": "Target account not found",
"code": "NOT_FOUND"
}
}